
Redmine - Defect #24698

"Icon for Datepicker" does not appear if the issue has a child issue (or issues).

2016-12-27 08:02 - kaz k

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

When editing the issue, fields are displayed for modification in "Change properties" area.

In the area, "Start date" and "Due date" have string-fields and there are Icons for Datepicker right of the string-fields normally.

But, if an issue has a child issue ( or issues ), Icons for Datepicker right of the string-fields does NOT appear when editing the issue.

If I remove the child from the parent and enter edit screen, Icons for Datepicker come back again. Wow.

This phenomenon happens 100% of probability.

We made sure that it does happen with Firefox and Internet Explorer through the testing.

Attached is the ZIP of screen captures of this phenomenon. File names represent what was happening in the screen. Hope this

helps.

Redmine configuration (from "Information" of "Redmine") are as follows.

The phenomenon happens on both configurations.

production system: Linux based

Environment:

  Redmine version                3.1.1.stable

  Ruby version                   2.2.3-p173 (2015-08-18) [x86_64-linux]

  Rails version                  4.2.4

  Environment                    production

  Database adapter               PostgreSQL

SCM:

  Git                            1.7.1

  Filesystem                     

Redmine plugins:

  redmine_absolute_dates         0.0.3

  redmine_dmsf                   1.5.6

  redmine_document_view_overwrite 0.0.1

  redmine_enter_cancel           0.0.2

  redmine_good_job               0.0.1.1

  redmine_issue_templates        0.1.0

  redmine_local_avatars          0.1.1

  redmine_pivot_table            0.0.4

  redmine_show_issue_assignee_avatar 0.0.1

  redmine_vividtone_my_page_blocks 20150614

  redmine_wiki_lists             0.0.6

  sidebar_hide                   0.0.7

Testing system: Windows 7 based

Environment:

  Redmine version                3.1.1.stable

  Ruby version                   2.0.0-p645 (2015-04-13) [i386-mingw32]

  Rails version                  4.2.4

  Environment                    production

  Database adapter               Mysql2
SCM:

  Subversion                     1.8.11

  Git                            1.9.5

  Filesystem                     

Redmine plugins:

  redmine_good_job               0.0.1.1

  redmine_issues_summary_graph   0.0.9

  redmine_local_avatars          1.0.3

  redmine_pivot_table            0.0.4

  redmine_show_issue_assignee_avatar 0.0.1

  redmine_vividtone_my_page_blocks 20150614

  redmine_wiki_lists             0.0.6

Related issues:

Is duplicate of Redmine - Defect #21219: Date pickers images for start/due da... Closed

Copied to Redmine - Defect #31077: "Icon for Datepicker" does not appear afte... Closed

History

#1 - 2016-12-27 09:06 - Go MAEDA

- Is duplicate of Defect #21219: Date pickers images for start/due date fields are not shown for issues with subtasks added

#2 - 2016-12-27 09:08 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

The problem has been fixed in Redmine 3.1.4 (#21219). Please update your Redmine.

Thank you for reporting.

#3 - 2016-12-27 10:01 - kaz k

Go MAEDA wrote:

The problem has been fixed in Redmine 3.1.4 (#21219). Please update your Redmine.

Thank you for reporting.

 Sorry for bothering. Thank you very much.

#4 - 2019-03-21 12:35 - Julian Lohrber

- Copied to Defect #31077: "Icon for Datepicker" does not appear after status was changed. added

Files

Icons_for_Datepicker_and_child__issue161227-1.zip 368 KB 2016-12-27 kaz k

Icons_for_Datepicker_and_child__issue161227-2.zip 508 KB 2016-12-27 kaz k
